import { z } from "zod";
export declare const BaseFeedItemZod: z.ZodObject<{
    id: z.ZodString;
    createdAt: z.ZodString;
    buildID: z.ZodString;
    type: z.ZodEnum<["snapshot_approval", "snapshot_rejection", "build_approval", "build_rejection"]>;
    user: z.ZodObject<{
        id: z.ZodString;
        avatar: z.ZodOptional<z.ZodString>;
        name: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        avatar?: string | undefined;
    }, {
        id: string;
        name: string;
        avatar?: string | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    id: string;
    createdAt: string;
    type: "snapshot_approval" | "snapshot_rejection" | "build_approval" | "build_rejection";
    buildID: string;
    user: {
        id: string;
        name: string;
        avatar?: string | undefined;
    };
}, {
    id: string;
    createdAt: string;
    type: "snapshot_approval" | "snapshot_rejection" | "build_approval" | "build_rejection";
    buildID: string;
    user: {
        id: string;
        name: string;
        avatar?: string | undefined;
    };
}>;
export declare const FeedSnapshotApprovalZod: z.ZodObject<{
    id: z.ZodString;
    createdAt: z.ZodString;
    buildID: z.ZodString;
    user: z.ZodObject<{
        id: z.ZodString;
        avatar: z.ZodOptional<z.ZodString>;
        name: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        avatar?: string | undefined;
    }, {
        id: string;
        name: string;
        avatar?: string | undefined;
    }>;
    type: z.ZodLiteral<"snapshot_approval">;
    attributes: z.ZodObject<{
        snapshot: z.ZodObject<{
            id: z.ZodString;
            createdAt: z.ZodString;
            updatedAt: z.ZodString;
            buildID: z.ZodString;
            snapID: z.ZodString;
            name: z.ZodString;
            variant: z.ZodOptional<z.ZodString>;
            target: z.ZodOptional<z.ZodString>;
            targetIcon: z.ZodOptional<z.ZodString>;
            viewport: z.ZodOptional<z.ZodString>;
            error: z.ZodOptional<z.ZodString>;
            baselineID: z.ZodOptional<z.ZodString>;
            reviewerID: z.ZodOptional<z.ZodString>;
            reviewAt: z.ZodOptional<z.ZodString>;
            status: z.ZodEnum<["processing", "failed", "aborted", "approved", "rejected", "unreviewed", "unchanged", "orphaned", "missing_baseline"]>;
        }, "strip", z.ZodTypeAny, {
            id: string;
            createdAt: string;
            updatedAt: string;
            status: "aborted" | "processing" | "failed" | "orphaned" | "approved" | "rejected" | "unreviewed" | "unchanged" | "missing_baseline";
            name: string;
            buildID: string;
            snapID: string;
            variant?: string | undefined;
            target?: string | undefined;
            targetIcon?: string | undefined;
            viewport?: string | undefined;
            error?: string | undefined;
            baselineID?: string | undefined;
            reviewerID?: string | undefined;
            reviewAt?: string | undefined;
        }, {
            id: string;
            createdAt: string;
            updatedAt: string;
            status: "aborted" | "processing" | "failed" | "orphaned" | "approved" | "rejected" | "unreviewed" | "unchanged" | "missing_baseline";
            name: string;
            buildID: string;
            snapID: string;
            variant?: string | undefined;
            target?: string | undefined;
            targetIcon?: string | undefined;
            viewport?: string | undefined;
            error?: string | undefined;
            baselineID?: string | undefined;
            reviewerID?: string | undefined;
            reviewAt?: string | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        snapshot: {
            id: string;
            createdAt: string;
            updatedAt: string;
            status: "aborted" | "processing" | "failed" | "orphaned" | "approved" | "rejected" | "unreviewed" | "unchanged" | "missing_baseline";
            name: string;
            buildID: string;
            snapID: string;
            variant?: string | undefined;
            target?: string | undefined;
            targetIcon?: string | undefined;
            viewport?: string | undefined;
            error?: string | undefined;
            baselineID?: string | undefined;
            reviewerID?: string | undefined;
            reviewAt?: string | undefined;
        };
    }, {
        snapshot: {
            id: string;
            createdAt: string;
            updatedAt: string;
            status: "aborted" | "processing" | "failed" | "orphaned" | "approved" | "rejected" | "unreviewed" | "unchanged" | "missing_baseline";
            name: string;
            buildID: string;
            snapID: string;
            variant?: string | undefined;
            target?: string | undefined;
            targetIcon?: string | undefined;
            viewport?: string | undefined;
            error?: string | undefined;
            baselineID?: string | undefined;
            reviewerID?: string | undefined;
            reviewAt?: string | undefined;
        };
    }>;
}, "strip", z.ZodTypeAny, {
    id: string;
    createdAt: string;
    type: "snapshot_approval";
    buildID: string;
    user: {
        id: string;
        name: string;
        avatar?: string | undefined;
    };
    attributes: {
        snapshot: {
            id: string;
            createdAt: string;
            updatedAt: string;
            status: "aborted" | "processing" | "failed" | "orphaned" | "approved" | "rejected" | "unreviewed" | "unchanged" | "missing_baseline";
            name: string;
            buildID: string;
            snapID: string;
            variant?: string | undefined;
            target?: string | undefined;
            targetIcon?: string | undefined;
            viewport?: string | undefined;
            error?: string | undefined;
            baselineID?: string | undefined;
            reviewerID?: string | undefined;
            reviewAt?: string | undefined;
        };
    };
}, {
    id: string;
    createdAt: string;
    type: "snapshot_approval";
    buildID: string;
    user: {
        id: string;
        name: string;
        avatar?: string | undefined;
    };
    attributes: {
        snapshot: {
            id: string;
            createdAt: string;
            updatedAt: string;
            status: "aborted" | "processing" | "failed" | "orphaned" | "approved" | "rejected" | "unreviewed" | "unchanged" | "missing_baseline";
            name: string;
            buildID: string;
            snapID: string;
            variant?: string | undefined;
            target?: string | undefined;
            targetIcon?: string | undefined;
            viewport?: string | undefined;
            error?: string | undefined;
            baselineID?: string | undefined;
            reviewerID?: string | undefined;
            reviewAt?: string | undefined;
        };
    };
}>;
export type FeedSnapshotApproval = z.infer<typeof FeedSnapshotApprovalZod>;
export declare const FeedSnapshotRejection: z.ZodObject<{
    id: z.ZodString;
    createdAt: z.ZodString;
    buildID: z.ZodString;
    user: z.ZodObject<{
        id: z.ZodString;
        avatar: z.ZodOptional<z.ZodString>;
        name: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        avatar?: string | undefined;
    }, {
        id: string;
        name: string;
        avatar?: string | undefined;
    }>;
    type: z.ZodLiteral<"snapshot_rejection">;
    attributes: z.ZodObject<{
        snapshot: z.ZodObject<{
            id: z.ZodString;
            createdAt: z.ZodString;
            updatedAt: z.ZodString;
            buildID: z.ZodString;
            snapID: z.ZodString;
            name: z.ZodString;
            variant: z.ZodOptional<z.ZodString>;
            target: z.ZodOptional<z.ZodString>;
            targetIcon: z.ZodOptional<z.ZodString>;
            viewport: z.ZodOptional<z.ZodString>;
            error: z.ZodOptional<z.ZodString>;
            baselineID: z.ZodOptional<z.ZodString>;
            reviewerID: z.ZodOptional<z.ZodString>;
            reviewAt: z.ZodOptional<z.ZodString>;
            status: z.ZodEnum<["processing", "failed", "aborted", "approved", "rejected", "unreviewed", "unchanged", "orphaned", "missing_baseline"]>;
        }, "strip", z.ZodTypeAny, {
            id: string;
            createdAt: string;
            updatedAt: string;
            status: "aborted" | "processing" | "failed" | "orphaned" | "approved" | "rejected" | "unreviewed" | "unchanged" | "missing_baseline";
            name: string;
            buildID: string;
            snapID: string;
            variant?: string | undefined;
            target?: string | undefined;
            targetIcon?: string | undefined;
            viewport?: string | undefined;
            error?: string | undefined;
            baselineID?: string | undefined;
            reviewerID?: string | undefined;
            reviewAt?: string | undefined;
        }, {
            id: string;
            createdAt: string;
            updatedAt: string;
            status: "aborted" | "processing" | "failed" | "orphaned" | "approved" | "rejected" | "unreviewed" | "unchanged" | "missing_baseline";
            name: string;
            buildID: string;
            snapID: string;
            variant?: string | undefined;
            target?: string | undefined;
            targetIcon?: string | undefined;
            viewport?: string | undefined;
            error?: string | undefined;
            baselineID?: string | undefined;
            reviewerID?: string | undefined;
            reviewAt?: string | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        snapshot: {
            id: string;
            createdAt: string;
            updatedAt: string;
            status: "aborted" | "processing" | "failed" | "orphaned" | "approved" | "rejected" | "unreviewed" | "unchanged" | "missing_baseline";
            name: string;
            buildID: string;
            snapID: string;
            variant?: string | undefined;
            target?: string | undefined;
            targetIcon?: string | undefined;
            viewport?: string | undefined;
            error?: string | undefined;
            baselineID?: string | undefined;
            reviewerID?: string | undefined;
            reviewAt?: string | undefined;
        };
    }, {
        snapshot: {
            id: string;
            createdAt: string;
            updatedAt: string;
            status: "aborted" | "processing" | "failed" | "orphaned" | "approved" | "rejected" | "unreviewed" | "unchanged" | "missing_baseline";
            name: string;
            buildID: string;
            snapID: string;
            variant?: string | undefined;
            target?: string | undefined;
            targetIcon?: string | undefined;
            viewport?: string | undefined;
            error?: string | undefined;
            baselineID?: string | undefined;
            reviewerID?: string | undefined;
            reviewAt?: string | undefined;
        };
    }>;
}, "strip", z.ZodTypeAny, {
    id: string;
    createdAt: string;
    type: "snapshot_rejection";
    buildID: string;
    user: {
        id: string;
        name: string;
        avatar?: string | undefined;
    };
    attributes: {
        snapshot: {
            id: string;
            createdAt: string;
            updatedAt: string;
            status: "aborted" | "processing" | "failed" | "orphaned" | "approved" | "rejected" | "unreviewed" | "unchanged" | "missing_baseline";
            name: string;
            buildID: string;
            snapID: string;
            variant?: string | undefined;
            target?: string | undefined;
            targetIcon?: string | undefined;
            viewport?: string | undefined;
            error?: string | undefined;
            baselineID?: string | undefined;
            reviewerID?: string | undefined;
            reviewAt?: string | undefined;
        };
    };
}, {
    id: string;
    createdAt: string;
    type: "snapshot_rejection";
    buildID: string;
    user: {
        id: string;
        name: string;
        avatar?: string | undefined;
    };
    attributes: {
        snapshot: {
            id: string;
            createdAt: string;
            updatedAt: string;
            status: "aborted" | "processing" | "failed" | "orphaned" | "approved" | "rejected" | "unreviewed" | "unchanged" | "missing_baseline";
            name: string;
            buildID: string;
            snapID: string;
            variant?: string | undefined;
            target?: string | undefined;
            targetIcon?: string | undefined;
            viewport?: string | undefined;
            error?: string | undefined;
            baselineID?: string | undefined;
            reviewerID?: string | undefined;
            reviewAt?: string | undefined;
        };
    };
}>;
export type FeedSnapshotRejection = z.infer<typeof FeedSnapshotRejection>;
export declare const FeedBuildApprovalZod: z.ZodObject<{
    id: z.ZodString;
    createdAt: z.ZodString;
    buildID: z.ZodString;
    user: z.ZodObject<{
        id: z.ZodString;
        avatar: z.ZodOptional<z.ZodString>;
        name: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        avatar?: string | undefined;
    }, {
        id: string;
        name: string;
        avatar?: string | undefined;
    }>;
    type: z.ZodLiteral<"build_approval">;
}, "strip", z.ZodTypeAny, {
    id: string;
    createdAt: string;
    type: "build_approval";
    buildID: string;
    user: {
        id: string;
        name: string;
        avatar?: string | undefined;
    };
}, {
    id: string;
    createdAt: string;
    type: "build_approval";
    buildID: string;
    user: {
        id: string;
        name: string;
        avatar?: string | undefined;
    };
}>;
export type FeedBuildApproval = z.infer<typeof FeedBuildApprovalZod>;
export declare const FeedBuildRejectionZod: z.ZodObject<{
    id: z.ZodString;
    createdAt: z.ZodString;
    buildID: z.ZodString;
    user: z.ZodObject<{
        id: z.ZodString;
        avatar: z.ZodOptional<z.ZodString>;
        name: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        avatar?: string | undefined;
    }, {
        id: string;
        name: string;
        avatar?: string | undefined;
    }>;
    type: z.ZodLiteral<"build_rejection">;
}, "strip", z.ZodTypeAny, {
    id: string;
    createdAt: string;
    type: "build_rejection";
    buildID: string;
    user: {
        id: string;
        name: string;
        avatar?: string | undefined;
    };
}, {
    id: string;
    createdAt: string;
    type: "build_rejection";
    buildID: string;
    user: {
        id: string;
        name: string;
        avatar?: string | undefined;
    };
}>;
export type FeedBuildRejection = z.infer<typeof FeedBuildRejectionZod>;
export declare const FeedItemZod: z.ZodDiscriminatedUnion<"type", [z.ZodObject<{
    id: z.ZodString;
    createdAt: z.ZodString;
    buildID: z.ZodString;
    user: z.ZodObject<{
        id: z.ZodString;
        avatar: z.ZodOptional<z.ZodString>;
        name: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        avatar?: string | undefined;
    }, {
        id: string;
        name: string;
        avatar?: string | undefined;
    }>;
    type: z.ZodLiteral<"snapshot_approval">;
    attributes: z.ZodObject<{
        snapshot: z.ZodObject<{
            id: z.ZodString;
            createdAt: z.ZodString;
            updatedAt: z.ZodString;
            buildID: z.ZodString;
            snapID: z.ZodString;
            name: z.ZodString;
            variant: z.ZodOptional<z.ZodString>;
            target: z.ZodOptional<z.ZodString>;
            targetIcon: z.ZodOptional<z.ZodString>;
            viewport: z.ZodOptional<z.ZodString>;
            error: z.ZodOptional<z.ZodString>;
            baselineID: z.ZodOptional<z.ZodString>;
            reviewerID: z.ZodOptional<z.ZodString>;
            reviewAt: z.ZodOptional<z.ZodString>;
            status: z.ZodEnum<["processing", "failed", "aborted", "approved", "rejected", "unreviewed", "unchanged", "orphaned", "missing_baseline"]>;
        }, "strip", z.ZodTypeAny, {
            id: string;
            createdAt: string;
            updatedAt: string;
            status: "aborted" | "processing" | "failed" | "orphaned" | "approved" | "rejected" | "unreviewed" | "unchanged" | "missing_baseline";
            name: string;
            buildID: string;
            snapID: string;
            variant?: string | undefined;
            target?: string | undefined;
            targetIcon?: string | undefined;
            viewport?: string | undefined;
            error?: string | undefined;
            baselineID?: string | undefined;
            reviewerID?: string | undefined;
            reviewAt?: string | undefined;
        }, {
            id: string;
            createdAt: string;
            updatedAt: string;
            status: "aborted" | "processing" | "failed" | "orphaned" | "approved" | "rejected" | "unreviewed" | "unchanged" | "missing_baseline";
            name: string;
            buildID: string;
            snapID: string;
            variant?: string | undefined;
            target?: string | undefined;
            targetIcon?: string | undefined;
            viewport?: string | undefined;
            error?: string | undefined;
            baselineID?: string | undefined;
            reviewerID?: string | undefined;
            reviewAt?: string | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        snapshot: {
            id: string;
            createdAt: string;
            updatedAt: string;
            status: "aborted" | "processing" | "failed" | "orphaned" | "approved" | "rejected" | "unreviewed" | "unchanged" | "missing_baseline";
            name: string;
            buildID: string;
            snapID: string;
            variant?: string | undefined;
            target?: string | undefined;
            targetIcon?: string | undefined;
            viewport?: string | undefined;
            error?: string | undefined;
            baselineID?: string | undefined;
            reviewerID?: string | undefined;
            reviewAt?: string | undefined;
        };
    }, {
        snapshot: {
            id: string;
            createdAt: string;
            updatedAt: string;
            status: "aborted" | "processing" | "failed" | "orphaned" | "approved" | "rejected" | "unreviewed" | "unchanged" | "missing_baseline";
            name: string;
            buildID: string;
            snapID: string;
            variant?: string | undefined;
            target?: string | undefined;
            targetIcon?: string | undefined;
            viewport?: string | undefined;
            error?: string | undefined;
            baselineID?: string | undefined;
            reviewerID?: string | undefined;
            reviewAt?: string | undefined;
        };
    }>;
}, "strip", z.ZodTypeAny, {
    id: string;
    createdAt: string;
    type: "snapshot_approval";
    buildID: string;
    user: {
        id: string;
        name: string;
        avatar?: string | undefined;
    };
    attributes: {
        snapshot: {
            id: string;
            createdAt: string;
            updatedAt: string;
            status: "aborted" | "processing" | "failed" | "orphaned" | "approved" | "rejected" | "unreviewed" | "unchanged" | "missing_baseline";
            name: string;
            buildID: string;
            snapID: string;
            variant?: string | undefined;
            target?: string | undefined;
            targetIcon?: string | undefined;
            viewport?: string | undefined;
            error?: string | undefined;
            baselineID?: string | undefined;
            reviewerID?: string | undefined;
            reviewAt?: string | undefined;
        };
    };
}, {
    id: string;
    createdAt: string;
    type: "snapshot_approval";
    buildID: string;
    user: {
        id: string;
        name: string;
        avatar?: string | undefined;
    };
    attributes: {
        snapshot: {
            id: string;
            createdAt: string;
            updatedAt: string;
            status: "aborted" | "processing" | "failed" | "orphaned" | "approved" | "rejected" | "unreviewed" | "unchanged" | "missing_baseline";
            name: string;
            buildID: string;
            snapID: string;
            variant?: string | undefined;
            target?: string | undefined;
            targetIcon?: string | undefined;
            viewport?: string | undefined;
            error?: string | undefined;
            baselineID?: string | undefined;
            reviewerID?: string | undefined;
            reviewAt?: string | undefined;
        };
    };
}>, z.ZodObject<{
    id: z.ZodString;
    createdAt: z.ZodString;
    buildID: z.ZodString;
    user: z.ZodObject<{
        id: z.ZodString;
        avatar: z.ZodOptional<z.ZodString>;
        name: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        avatar?: string | undefined;
    }, {
        id: string;
        name: string;
        avatar?: string | undefined;
    }>;
    type: z.ZodLiteral<"snapshot_rejection">;
    attributes: z.ZodObject<{
        snapshot: z.ZodObject<{
            id: z.ZodString;
            createdAt: z.ZodString;
            updatedAt: z.ZodString;
            buildID: z.ZodString;
            snapID: z.ZodString;
            name: z.ZodString;
            variant: z.ZodOptional<z.ZodString>;
            target: z.ZodOptional<z.ZodString>;
            targetIcon: z.ZodOptional<z.ZodString>;
            viewport: z.ZodOptional<z.ZodString>;
            error: z.ZodOptional<z.ZodString>;
            baselineID: z.ZodOptional<z.ZodString>;
            reviewerID: z.ZodOptional<z.ZodString>;
            reviewAt: z.ZodOptional<z.ZodString>;
            status: z.ZodEnum<["processing", "failed", "aborted", "approved", "rejected", "unreviewed", "unchanged", "orphaned", "missing_baseline"]>;
        }, "strip", z.ZodTypeAny, {
            id: string;
            createdAt: string;
            updatedAt: string;
            status: "aborted" | "processing" | "failed" | "orphaned" | "approved" | "rejected" | "unreviewed" | "unchanged" | "missing_baseline";
            name: string;
            buildID: string;
            snapID: string;
            variant?: string | undefined;
            target?: string | undefined;
            targetIcon?: string | undefined;
            viewport?: string | undefined;
            error?: string | undefined;
            baselineID?: string | undefined;
            reviewerID?: string | undefined;
            reviewAt?: string | undefined;
        }, {
            id: string;
            createdAt: string;
            updatedAt: string;
            status: "aborted" | "processing" | "failed" | "orphaned" | "approved" | "rejected" | "unreviewed" | "unchanged" | "missing_baseline";
            name: string;
            buildID: string;
            snapID: string;
            variant?: string | undefined;
            target?: string | undefined;
            targetIcon?: string | undefined;
            viewport?: string | undefined;
            error?: string | undefined;
            baselineID?: string | undefined;
            reviewerID?: string | undefined;
            reviewAt?: string | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        snapshot: {
            id: string;
            createdAt: string;
            updatedAt: string;
            status: "aborted" | "processing" | "failed" | "orphaned" | "approved" | "rejected" | "unreviewed" | "unchanged" | "missing_baseline";
            name: string;
            buildID: string;
            snapID: string;
            variant?: string | undefined;
            target?: string | undefined;
            targetIcon?: string | undefined;
            viewport?: string | undefined;
            error?: string | undefined;
            baselineID?: string | undefined;
            reviewerID?: string | undefined;
            reviewAt?: string | undefined;
        };
    }, {
        snapshot: {
            id: string;
            createdAt: string;
            updatedAt: string;
            status: "aborted" | "processing" | "failed" | "orphaned" | "approved" | "rejected" | "unreviewed" | "unchanged" | "missing_baseline";
            name: string;
            buildID: string;
            snapID: string;
            variant?: string | undefined;
            target?: string | undefined;
            targetIcon?: string | undefined;
            viewport?: string | undefined;
            error?: string | undefined;
            baselineID?: string | undefined;
            reviewerID?: string | undefined;
            reviewAt?: string | undefined;
        };
    }>;
}, "strip", z.ZodTypeAny, {
    id: string;
    createdAt: string;
    type: "snapshot_rejection";
    buildID: string;
    user: {
        id: string;
        name: string;
        avatar?: string | undefined;
    };
    attributes: {
        snapshot: {
            id: string;
            createdAt: string;
            updatedAt: string;
            status: "aborted" | "processing" | "failed" | "orphaned" | "approved" | "rejected" | "unreviewed" | "unchanged" | "missing_baseline";
            name: string;
            buildID: string;
            snapID: string;
            variant?: string | undefined;
            target?: string | undefined;
            targetIcon?: string | undefined;
            viewport?: string | undefined;
            error?: string | undefined;
            baselineID?: string | undefined;
            reviewerID?: string | undefined;
            reviewAt?: string | undefined;
        };
    };
}, {
    id: string;
    createdAt: string;
    type: "snapshot_rejection";
    buildID: string;
    user: {
        id: string;
        name: string;
        avatar?: string | undefined;
    };
    attributes: {
        snapshot: {
            id: string;
            createdAt: string;
            updatedAt: string;
            status: "aborted" | "processing" | "failed" | "orphaned" | "approved" | "rejected" | "unreviewed" | "unchanged" | "missing_baseline";
            name: string;
            buildID: string;
            snapID: string;
            variant?: string | undefined;
            target?: string | undefined;
            targetIcon?: string | undefined;
            viewport?: string | undefined;
            error?: string | undefined;
            baselineID?: string | undefined;
            reviewerID?: string | undefined;
            reviewAt?: string | undefined;
        };
    };
}>, z.ZodObject<{
    id: z.ZodString;
    createdAt: z.ZodString;
    buildID: z.ZodString;
    user: z.ZodObject<{
        id: z.ZodString;
        avatar: z.ZodOptional<z.ZodString>;
        name: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        avatar?: string | undefined;
    }, {
        id: string;
        name: string;
        avatar?: string | undefined;
    }>;
    type: z.ZodLiteral<"build_approval">;
}, "strip", z.ZodTypeAny, {
    id: string;
    createdAt: string;
    type: "build_approval";
    buildID: string;
    user: {
        id: string;
        name: string;
        avatar?: string | undefined;
    };
}, {
    id: string;
    createdAt: string;
    type: "build_approval";
    buildID: string;
    user: {
        id: string;
        name: string;
        avatar?: string | undefined;
    };
}>, z.ZodObject<{
    id: z.ZodString;
    createdAt: z.ZodString;
    buildID: z.ZodString;
    user: z.ZodObject<{
        id: z.ZodString;
        avatar: z.ZodOptional<z.ZodString>;
        name: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        avatar?: string | undefined;
    }, {
        id: string;
        name: string;
        avatar?: string | undefined;
    }>;
    type: z.ZodLiteral<"build_rejection">;
}, "strip", z.ZodTypeAny, {
    id: string;
    createdAt: string;
    type: "build_rejection";
    buildID: string;
    user: {
        id: string;
        name: string;
        avatar?: string | undefined;
    };
}, {
    id: string;
    createdAt: string;
    type: "build_rejection";
    buildID: string;
    user: {
        id: string;
        name: string;
        avatar?: string | undefined;
    };
}>]>;
export type FeedItem = z.infer<typeof FeedItemZod>;
//# sourceMappingURL=feed.d.ts.map