import { z } from "zod";
export declare const InviteZod: z.ZodObject<{
    id: z.ZodString;
    createdAt: z.ZodString;
    expiresAt: z.ZodString;
    inviterEmail: z.ZodString;
    inviterName: z.ZodString;
    inviterAvatarURL: z.ZodString;
    projectName: z.ZodString;
    teamAvatarURL: z.ZodString;
    teamName: z.ZodString;
    projectID: z.ZodString;
    email: z.ZodString;
}, "strip", z.ZodTypeAny, {
    id: string;
    createdAt: string;
    projectID: string;
    email: string;
    expiresAt: string;
    inviterEmail: string;
    inviterName: string;
    inviterAvatarURL: string;
    projectName: string;
    teamAvatarURL: string;
    teamName: string;
}, {
    id: string;
    createdAt: string;
    projectID: string;
    email: string;
    expiresAt: string;
    inviterEmail: string;
    inviterName: string;
    inviterAvatarURL: string;
    projectName: string;
    teamAvatarURL: string;
    teamName: string;
}>;
export type Invite = z.infer<typeof InviteZod>;
//# sourceMappingURL=invite.d.ts.map